"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var slate_kit_utils_register_helpers_1 = tslib_1.__importDefault(require("@vericus/slate-kit-utils-register-helpers"));
function createRenderMark(options) {
    var marks = options.marks;
    var marksRenderer = Object.entries(marks).reduce(function (renderers, _a) {
        var _b = tslib_1.__read(_a, 2), markName = _b[0], markType = _b[1];
        var _c;
        return tslib_1.__assign({}, renderers, (_c = {}, _c[markName] = function (props) {
            var attributes = props.attributes, children = props.children, className = props.className;
            return (React.createElement("span", tslib_1.__assign({}, attributes, { className: className }), children));
        }, _c));
    }, {});
    return slate_kit_utils_register_helpers_1.default({ marksRenderer: marksRenderer });
}
exports.default = createRenderMark;
//# sourceMappingURL=renderMark.js.map