(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('tslib'), require('react'), require('@vericus/slate-kit-utils-register-helpers')) :
  typeof define === 'function' && define.amd ? define(['exports', 'tslib', 'react', '@vericus/slate-kit-utils-register-helpers'], factory) :
  (factory((global.VericusSlateKitHighlightTextRenderer = {}),global.TSLib,global.React,global.SlateKitRegister));
}(this, (function (exports,tslib_1,React,Register) { 'use strict';

  Register = Register && Register.hasOwnProperty('default') ? Register['default'] : Register;

  function createRenderMark(options) {
      var marks = options.marks;
      var marksRenderer = Object.entries(marks).reduce(function (renderers, _a) {
          var _b = tslib_1.__read(_a, 2), markName = _b[0], markType = _b[1];
          var _c;
          return tslib_1.__assign({}, renderers, (_c = {}, _c[markName] = function (props) {
              var attributes = props.attributes, children = props.children, className = props.className;
              return (React.createElement("span", tslib_1.__assign({}, attributes, { className: className }), children));
          }, _c));
      }, {});
      return Register({ marksRenderer: marksRenderer });
  }

  exports.default = createRenderMark;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=slate-kit-highlight-text-renderer.js.map
