import { __read, __assign } from 'tslib';
import { createElement } from 'react';
import Register from '@vericus/slate-kit-utils-register-helpers';

function createRenderMark(options) {
    var marks = options.marks;
    var marksRenderer = Object.entries(marks).reduce(function (renderers, _a) {
        var _b = __read(_a, 2), markName = _b[0], markType = _b[1];
        var _c;
        return __assign({}, renderers, (_c = {}, _c[markName] = function (props) {
            var attributes = props.attributes, children = props.children, className = props.className;
            return (createElement("span", __assign({}, attributes, { className: className }), children));
        }, _c));
    }, {});
    return Register({ marksRenderer: marksRenderer });
}

export default createRenderMark;
//# sourceMappingURL=slate-kit-highlight-text-renderer.es.js.map
